summaryrefslogtreecommitdiffstats
path: root/modules.d/95znet/module-setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'modules.d/95znet/module-setup.sh')
-rwxr-xr-xmodules.d/95znet/module-setup.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/modules.d/95znet/module-setup.sh b/modules.d/95znet/module-setup.sh
new file mode 100755
index 0000000..df37c66
--- /dev/null
+++ b/modules.d/95znet/module-setup.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+# called by dracut
+check() {
+ arch=${DRACUT_ARCH:-$(uname -m)}
+ [ "$arch" = "s390" -o "$arch" = "s390x" ] || return 1
+
+ require_binaries znet_cio_free grep sed seq readlink || return 1
+
+ return 0
+}
+
+# called by dracut
+depends() {
+ echo bash
+ return 0
+}
+
+# called by dracut
+installkernel() {
+ instmods ctcm lcs qeth qeth_l2 qeth_l3
+}
+
+# called by dracut
+install() {
+ inst_hook cmdline 30 "$moddir/parse-ccw.sh"
+ inst_rules 81-ccw.rules
+ inst_multiple znet_cio_free grep sed seq readlink /lib/udev/ccw_init
+}